# Contained namespace

This namespace is contained in a single file.

So it has only the global include and no per-entry includes, thus also no detailed sections because there's only brief. (Unless the includes are disabled globally or the file is not documented.)

## Enums

enum Enum { }
  An enum.

## Typedefs

using Int = int
  A typedef.

## Functions

void foo()
  A function.

## Variables

const int Var constexpr
  A variable.

## A group

enum Flag { }
  Flag in a group.
using Main = void
  Alias in a group.
void* variable constexpr
  Variable in a group.
void bar()
  Function in a group.